package com.xxl.job.executor.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 头条-数据清洗
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-02-25
 */
@Data
@TableName("ctop_bytedance_clean_material_report")
public class ByteDanceCleanMaterialReport {

    /**
     * md5 为id
     */
    @TableId(type = IdType.UUID)
    private String id;
    /**
     * 花费(元)
     */

    private java.math.BigDecimal cost;
    /**
     * 展示量
     */

    private Integer showNum;
    /**
     * 点击量
     */

    private Integer click;
    /**
     * 转化量
     */

    private Integer convertNum;
    /**
     * 激活
     */

    private Integer active;
    /**
     * 下载-注册
     */

    private Integer register;
    /**
     * 表单提交
     */

    private Integer form;
    /**
     * 视频-总播放
     */

    private Integer totalPlay;
    /**
     * 视频-有效播放
     */

    private Integer validPlay;
    /**
     * 创建时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")

    private Date createTime;
    /**
     * 修改时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")

    private Date updateTime;
}
