package com.xxl.job.executor.report.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 视频按时间段统计
 * @author jeecg-boot
 * @date   2020-05-13
 * @version V1.0
 */
@Data
@TableName("ctop_bytedance_video_report_daily")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class ByteDanceVideoReportDaily {

	/**id*/
	@TableId(type = IdType.AUTO)
	private Long id;
	/**项目id*/
	private Long projectId;
	/**项目名称*/
	private String projectName;
	/**广告主id*/
	private String advertiserId;
	/**广告主名称*/
	private String advertiserName;
	/**广告主id*/
	private Long accountId;
	/**md5*/
	private String signature;
	/**视频url-头条视频报表提供*/
	private String videoUrl;
	/**公司素材库提供*/
	private String url;

	private String coverUrl;
	/**环比*/
	private java.math.BigDecimal huanbi;
	/**素材名称*/
	private String materialName;
	/**媒体类型*/
	private Integer appType;
	/**公司id*/
	private String companyId;
	/**素材id*/
	private Integer materialId;
	/**数据起始时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
	private java.util.Date statDatetime;
	/**点击量*/
	private Integer click;
	/**总花费*/
	private java.math.BigDecimal cost;
	/**应用下载-激活*/
	private Integer active;
	/**应用下载-安卓下载完成*/
	private Integer downloadFinish;
	/**应用下载-安卓下载开始*/
	private Integer downloadStart;
	/**应用下载-安卓安装完成*/
	private Integer installFinish;
	/**应用下载-注册*/
	private Integer register;
	/**应用下载-付费数*/
	private Integer payCount;
	/**应用下载-到达uv*/
	private Integer inAppUv;
	/**应用下载-详情页到站uv*/
	private Integer inAppDetailUv;
	/**应用下载-加入购物车*/
	private Integer inAppCart;
	/**应用下载-提交订单*/
	private Integer inAppOrder;
	/**应用下载-付费*/
	private Integer inAppPay;
	/**落地页-电话拨打数*/
	private Integer phone;
	/**表单提交数*/
	private Integer form;
	/**落地页-地图搜索*/
	private Integer mapSearch;
	/**落地页-按钮button*/
	private Integer button;
	/**落地页-关键页面浏览*/
	private Integer viewMaterial;
	/**落地页-QQ咨询数*/
	private Integer qq;
	/**落地页-抽奖数*/
	private Integer lottery;
	/**落地页-投票*/
	private Integer vote;
	/**落地页-页面跳转*/
	private Integer redirect;
	/**落地页-商品购买*/
	private Integer shopping;
	/**落地页-在线咨询*/
	private Integer consult;
	/**落地页-微信*/
	private Integer wechat;
	/**落地页-智能电话确认拨打*/
	private Integer phoneConfirm;
	/**落地页-智能电话确认接通*/
	private Integer phoneConnect;
	/**落地页-智能电话有效咨询*/
	private Integer consultEffective;
	/**视频-总播放*/
	private Integer totalPlay;
	/**视频-有效播放*/
	private Integer validPlay;
	/**视频-wifi播放*/
	private Integer wifiPlay;
	/**视频-播放25%进度播放率*/
	private java.math.BigDecimal play25FeedBreakRate;
	/**视频-播放25%进度总数*/
	private Integer play25FeedBreak;
	/**视频-播放50%进度总数*/
	private Integer play50FeedBreak;
	/**视频-播放75%进度总数*/
	private Integer play75FeedBreak;
	/**视频-播放100%进度总数*/
	private Integer play100FeedBreak;
	/**附加创意-电话按钮*/
	private Integer advancedCreativePhoneClick;
	/**附加创意-在线咨询*/
	private Integer advancedCreativeCounselClick;
	/**附加创意-表单提交*/
	private Integer advancedCreativeFormClick;
	/**互动数据-分享数*/
	private Integer shareMaterial;
	/**互动数据-评论数*/
	private Integer commentMaterial;
	/**互动数据-新增关注数*/
	private Integer follow;
	/**互动数据-主页访问量*/
	private Integer homeVisited;
	/**互动数据-挑战赛查看数*/
	private Integer iesChallengeClick;
	/**互动数据-音乐查看数*/
	private Integer iesMusicClick;
	/**次留数*/
	private Integer nextDayOpen;
	/**次留率*/
	private java.math.BigDecimal nextDayOpenRate;
	/**次留成本*/
	private java.math.BigDecimal nextDayOpenCost;
	/**activePayAmount*/
	private Integer activePayAmount;
	/**视频数据-有效播放成本*/
	private java.math.BigDecimal validPlayCost;
	/**附加创意-附加创意卡券领取*/
	private Integer advancedCreativeCouponAddition;
	/**convertMaterial*/
	private Integer convertMaterial;
	/**应用下载广告数据-付费成本*/
	private java.math.BigDecimal activePayCost;
	/**落地页转化数据-下载开始*/
	private Integer download;
	/**cpc*/
	private java.math.BigDecimal cpc;
	/**互动数据-POI点击数*/
	private Integer locationClick;
	/**	视频数据-播完率*/
	private java.math.BigDecimal playOverRate;
	/**展现数据-点击率*/
	private java.math.BigDecimal ctr;
	/**cpm*/
	private java.math.BigDecimal cpm;
	/**视频数据-WiFi播放占比*/
	private java.math.BigDecimal wifiPlayRate;
	/**互动数据-点赞数*/
	private Integer likeMaterial;
	/**应用下载广告数据-激活成本*/
	private java.math.BigDecimal activeCost;
	/**应用下载广告数据-关键行为成本*/
	private java.math.BigDecimal gameAddictionCost;
	/**应用下载广告数据-关键行为数*/
	private Integer gameAddiction;
	/**应用下载广告数据-激活率*/
	private java.math.BigDecimal activeRate;
	/**	应用下载广告数据-关键行为率*/
	private java.math.BigDecimal gameAddictionRate;
	/**应用下载广告数据-注册率*/
	private java.math.BigDecimal activeRegisterRate;
	/**应用下载广告数据-安卓下载完成成本*/
	private java.math.BigDecimal downloadFinishCost;
	/**应用下载广告数据-注册成本*/
	private java.math.BigDecimal activeRegisterCost;
	/**showMaterial*/
	private Integer showMaterial;
	/**转化数据-转化率*/
	private java.math.BigDecimal convertRate;
	/**应用下载广告数据-安卓下载完成率*/
	private java.math.BigDecimal downloadFinishRate;
	/**应用下载广告数据-安卓安装完成率*/
	private java.math.BigDecimal installFinishRate;
	/**	落地页转化数据-建站卡券领取*/
	private Integer coupon;
	/**落地页转化数据-卡券页领取*/
	private Integer couponSinglePage;
	/**playOver*/
	private Integer playOver;
	/**应用下载广告数据-安卓下载开始成本*/
	private java.math.BigDecimal downloadStartCost;
	/**落地页转化数据-短信咨询*/
	private Integer message;
	/**视频数据-有效播放率*/
	private java.math.BigDecimal validPlayRate;
	/**视频数据-平均单次播放时长*/
	private java.math.BigDecimal averagePlayTimePerPlay;
	/**转化数据-转化成本*/
	private java.math.BigDecimal convertCost;
	/**应用下载广告数据-安卓安装完成成本*/
	private java.math.BigDecimal installFinishCost;
	/**应用下载广告数据-安卓下载开始率*/
	private java.math.BigDecimal downloadStartRate;
	/**createTime*/
	private java.util.Date createTime;
	/**updateTime*/
	private java.util.Date updateTime;

	@TableField(exist = false)
    private Integer clickMaterial;

	@TableField(exist = false)
	private String materialDesc;

	@TableField(exist = false)
	private String materialUploadTime;
}
