package com.xxl.job.executor.report.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 头条异步报表任务表
 * @author jeecg-boot
 * @date   2020-04-16
 * @version V1.0
 */
@Data
@TableName("ctop_bytedance_daily_report_task")
public class BytedanceDailyReportTask {

	/**主键ID*/
	@TableId(type = IdType.AUTO)
	private Integer id;
	/**广告账户ID（相当于头条返回的access_token数据中的advertiser_id）*/
	private Long accountId;
	/**任务id*/
	private Long taskId;
	/**任务名称*/
	private String taskName;
	/**任务类型REPORT-普通报表；REPORT_DPA-DPA报表；REPORT_BIDWORD-关键词/搜索词报表*/
	private String taskType;
	/**任务创建时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date taskCreateTime;
	/**任务参数*/
	private Object taskParams;
	/**返回参数*/
	private Object json;
	/**创建时间*/
	private Date createTime;
	/**修改时间*/
	private Date updateTime;

    private String taskStatus;

    private Integer isDownload;

    private Integer type;

    private Integer status;
}
