package com.xxl.job.executor.report.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 头条素材报表连接出错数据记录表
 * @author jeecg-boot
 * @date   2020-04-21
 * @version V1.0
 */
@Data
@TableName("ctop_bytedance_report_material_retry")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class BytedanceReportMaterialRetry {

	/**id*/
	@TableId(type = IdType.AUTO)

	private Integer id;
	/**账户id*/
	private Long accountId;
	/**开始时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")

	private String startDate;
	/**结束时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")

	private String endDate;
	/**状态 0同步失败 1同步成功*/

	private Integer status;
	/**createTime*/

	private Date createTime;
	/**updateTime*/

	private Date updateTime;
    private Integer statusCode;
    private Integer type;
}
